UNPKG

@loopback/docs

Version:

Documentation files rendered at [https://loopback.io](https://loopback.io)

37 lines (26 loc) 1.67 kB
--- lang: en title: 'API docs: repository.propertydefinition' keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI sidebar: lb4_sidebar editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository permalink: /doc/en/lb4/apidocs.repository.propertydefinition.html --- <!-- Do not edit this file. It is automatically generated by API Documenter. --> [Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [PropertyDefinition](./repository.propertydefinition.md) ## PropertyDefinition interface Property definition for a model **Signature:** ```typescript export interface PropertyDefinition ``` ## Properties | Property | Modifiers | Type | Description | | --- | --- | --- | --- | | [hidden?](./repository.propertydefinition.hidden.md) | | boolean | _(Optional)_ Used to hide this property from the response body, adding this property to the hiddenProperties array | | [id?](./repository.propertydefinition.id.md) | | boolean \| number | _(Optional)_ | | [itemType?](./repository.propertydefinition.itemtype.md) | | [PropertyType](./repository.propertytype.md) | _(Optional)_ | | [json?](./repository.propertydefinition.json.md) | | [PropertyForm](./repository.propertyform.md) | _(Optional)_ | | [jsonSchema?](./repository.propertydefinition.jsonschema.md) | | [JsonSchemaWithExtensions](./repository.jsonschemawithextensions.md) | _(Optional)_ | | [store?](./repository.propertydefinition.store.md) | | [PropertyForm](./repository.propertyform.md) | _(Optional)_ | | [type](./repository.propertydefinition.type.md) | | [PropertyType](./repository.propertytype.md) | |